---
title: llarp::thread::QueuePushGuard

---

# llarp::thread::QueuePushGuard



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[QueuePushGuard](Classes/classllarp_1_1thread_1_1QueuePushGuard.md#function-queuepushguard)**([Queue](Classes/classllarp_1_1thread_1_1Queue.md)< Type > & queue, uint32_t generation, uint32_t index) |
| | **[~QueuePushGuard](Classes/classllarp_1_1thread_1_1QueuePushGuard.md#function-~queuepushguard)**() |
| void | **[release](Classes/classllarp_1_1thread_1_1QueuePushGuard.md#function-release)**() |

## Detailed Description

```cpp
template <typename Type >
class llarp::thread::QueuePushGuard;
```

## Public Functions Documentation

### function QueuePushGuard

```cpp
inline QueuePushGuard(
    Queue< Type > & queue,
    uint32_t generation,
    uint32_t index
)
```


### function ~QueuePushGuard

```cpp
~QueuePushGuard()
```


### function release

```cpp
void release()
```


-------------------------------

Updated on 2022-08-30 at 18:09:28 +0000